Loading...
Searching...
No Matches
pcl::device::AsyncCopy< T > Class Template Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda_async_copy.h>`

## Public Member Functions

| AsyncCopy (T *ptr, std::size_t size)
| AsyncCopy (std::vector< T > &data)
| ~AsyncCopy ()
void | download (const DeviceArray< T > &arr)
void | download (const DeviceArray2D< T > &arr)
void | upload (const DeviceArray< T > &arr) const
void | upload (const DeviceArray2D< T > &arr) const
void | waitForCompeltion ()

## Detailed Description

template<class T>
class pcl::device::AsyncCopy< T >

Definition at line 49 of file cuda_async_copy.h.

## Constructor & Destructor Documentation

## AsyncCopy() [1/2]

template<class T>

pcl::gpu::AsyncCopy< T >::AsyncCopy | ( | T * | ptr,
|  | std::size_t | size )

inline

Definition at line 52 of file cuda_async_copy.h.

## AsyncCopy() [2/2]

template<class T>

pcl::gpu::AsyncCopy< T >::AsyncCopy | ( | std::vector< T > & | data | ) |

inline

Definition at line 58 of file cuda_async_copy.h.

## ~AsyncCopy()

template<class T>

pcl::gpu::AsyncCopy< T >::~AsyncCopy | ( |  | ) |

inline

Definition at line 64 of file cuda_async_copy.h.

## Member Function Documentation

## download() [1/2]

template<class T>

void pcl::gpu::AsyncCopy< T >::download | ( | const DeviceArray2D< T > & | arr | ) |

inline

Definition at line 75 of file cuda_async_copy.h.

## download() [2/2]

template<class T>

void pcl::gpu::AsyncCopy< T >::download | ( | const DeviceArray< T > & | arr | ) |

inline

Definition at line 70 of file cuda_async_copy.h.

## upload() [1/2]

template<class T>

void pcl::gpu::AsyncCopy< T >::upload | ( | const DeviceArray2D< T > & | arr | ) | const

inline

Definition at line 85 of file cuda_async_copy.h.

## upload() [2/2]

template<class T>

void pcl::gpu::AsyncCopy< T >::upload | ( | const DeviceArray< T > & | arr | ) | const

inline

Definition at line 80 of file cuda_async_copy.h.

## waitForCompeltion()

template<class T>

void pcl::gpu::AsyncCopy< T >::waitForCompeltion | ( |  | ) |

inline

Definition at line 90 of file cuda_async_copy.h.

The documentation for this class was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda_async_copy.h